<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:lav="http://software.in2p3.fr/lavoisier/application.xsd"
                xmlns:template="xalan://fr.in2p3.lavoisier.template.XMLTemplateFactory"
                exclude-result-prefixes="lav template">
    <xsl:output method="xml" indent="yes"/>

    <xsl:template match="lav:repeat | lav:element-create-as-parent |
                         *[self::lav:processors|self::lav:post-processors]/lav:element |
                         *[self::lav:processors|self::lav:post-processors]/lav:elements |
                         *[self::lav:processors|self::lav:post-processors]/lav:element-ignore |
                         *[self::lav:processors|self::lav:post-processors]/lav:elements-ignore">
        <xsl:copy-of select="template:plan(.)"/>
    </xsl:template>

    <!-- default rules -->
    <xsl:template match="@*">
        <xsl:copy-of select="."/>
    </xsl:template>
    <xsl:template match="comment()">
        <xsl:comment><xsl:value-of select="."/></xsl:comment>
    </xsl:template>
    <xsl:template match="*">
        <xsl:copy>
            <xsl:apply-templates select="@*|*|text()|comment()"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>